﻿using System;
using System.Collections.Generic;
using Wisej.Web;


namespace WisejWebApplication3
{
    public partial class Page1 : Page
    {
        class Model
        {
            public Guid ID { get; set; }
            public string NAME { get; set; }
            public int AGE { get; set; }
            public bool ACTIVE { get; set; }
        }

        List<Model> list = new List<Model>();

        public Page1()
        {
            InitializeComponent();
        }

        private void menuItem6_Click(object sender, EventArgs e)
        {
            Window2 frm = new Window2();
            frm.ShowDialog();
        }

        private void Page1_Load(object sender, EventArgs e)
        {
            list.Add(new Model() { 
                 ID=Guid.NewGuid(),
                 NAME="ALEXANDER CRUZ",
                 AGE=20,
                 ACTIVE=true
            });


            list.Add(new Model()
            {
                ID = Guid.NewGuid(),
                NAME = "JOHN DELA CRUZ",
                AGE = 20,
                ACTIVE = true
            });

            list.Add(new Model()
            {
                ID = Guid.NewGuid(),
                NAME = "WINSTON LEE",
                AGE = 20,
                ACTIVE = true
            });

            dataGridView1.DataSource = list;

        }

        private void dataGridView1_CellEndEdit(object sender, DataGridViewCellEventArgs e)
        {
            var sel = dataGridView1.CurrentRow.DataBoundItem as Model;
            if(sel!=null)
            {
                AlertBox.Show(sel.NAME);
            }
        }
    }
}
